# Mandelbrot Set 
An interactive interface where you can navigate the Mandelbrot Set.

### Controls
<kbd>W</kbd> - Up
<br />
<kbd>A</kbd> - Left
<br />
<kbd>S</kbd> - Down
<br />
<kbd>D</kbd> - Right

<kbd>Q</kbd> Zoom Out
<br />
<kbd>E</kbd> Zoom In


### How to Use
With `cargo`, in the root directory run `cargo run --release`

### TODO
* Make Zooming feel more natural (where you zoom to is fixed, and not centered)
* Make the amount of iterations done when calculating the Mandelbrot set configurable
    * preferrably with a keybind
* Add colour to the program
    * Black + White is kinda boring yeah?
